The offline module supports users without or with limited internet access in 4 ways
-It allows them to nominate other users who can log in as them, using the masquerade_nominate module.
-it diverts mails to those users to the nominands
-It provides printable views of offers, wants, and members.
-It provides a grid view of addresses, which might be suitable for printing.

Users should check the box in user/%/account/edit to qualify as 'offline'